Bug 864530 - [RFE] Force removal of an object does not work as expected
[RFE] Force removal of an object does not work as expected
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Andrew Cathrow
yeylon@redhat.com
virt
: FutureFeature
Depends On:
Blocks: 890826
  Show dependency treegraph
 
Reported: 2012-10-09 10:10 EDT by Ido Begun
Modified: 2016-04-18 02:44 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-03 02:34:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sherold: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Ido Begun 2012-10-09 10:10:08 EDT
Description of problem:
Currently force remove doesn't work when there are tasks running.
Force removal should succeed removing a locked VM even if there are tasks running.

Version-Release number of selected component (if applicable):
si20

How reproducible:
100%

Steps to Reproduce:
1.Lock a VM (i.e. create a template)
2.Force remove locked VM
  
Actual results:
Removal fails - [Cannot force remove VM when there are running tasks.]

Expected results:
VM is removed.

Additional info:
Comment 1 Haim 2012-10-10 10:04:28 EDT
logs please. also, is this really expected?
Comment 2 Andrew Cathrow 2012-10-14 08:21:47 EDT
(In reply to comment #1)
> logs please. also, is this really expected?

Until we have a cancel option on this task is this really a bug?
Comment 3 Yaniv Kaul 2012-10-14 08:25:36 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > logs please. also, is this really expected?
> 
> Until we have a cancel option on this task is this really a bug?

You can wait 50 hours and hope the task would die.
Comment 4 Michal Skrivanek 2012-10-15 08:50:11 EDT
not easy. might bring a lot of issues if we allow canceling a task in the middle. Let's revisit in 3.2

btw having r/o and r/w locks should help to mitigate some of these issue
Comment 5 Oded Ramraz 2012-12-27 04:11:31 EST
I recommend to add the option to remove a VM forcibly without taking into consideration the storage domain status / tasks status or any other logic.
Comment 6 Simon Grinberg 2013-01-01 06:52:05 EST
(In reply to comment #5)
> I recommend to add the option to remove a VM forcibly without taking into
> consideration the storage domain status / tasks status or any other logic.

With the lock release utility should this be covered?
Since we don't have cancel task, I prefer this to be done under GSS supervision (they may also help with proper cleanup of the task). 

Removing a single VM with leftovers is not the same as force remove storage domain where you can later clean it up on the storage side. 

Removing the 3.2 target - need to revisit for 3.3 with proper solution based on cancel tasks or comment #4 or even both.
Comment 7 Oded Ramraz 2013-03-11 03:48:15 EDT
I encountered new situation where floating disks failed to remove , I suggest to add the option to forcibly remove floating disks as well ( at least from API )
Comment 10 Itamar Heim 2014-08-03 02:34:15 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.